// 报警查询相关接口
import request from '../index'

// 列表
export function getAlarmListPage(data: any) {
  return request({
    url: `/alarm/data/list-page?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}
export function deleteAlarm(ids: string[]) {
  return request({
    url: `/alarm/data/delete`,
    method: 'post',
    data:{
      ids
    },
  })
}

export function exportAlarm(data: object) {
  return request({
    url: `/alarm/data/list-export`,
    responseType: 'blob',
    method: 'post',
    data,
  })
}
